RESTinio

Static Public Member Functions | Private Types | List of all members
restinio::router::easy_parser_router::impl::path_to_tuple_producer_t< Target_Type, Subitems_Tuple > Class Template Reference

An implementation of a producer for path_to_tuple case. More...

`#include <easy_parser_router.hpp>`

Inheritance diagram for restinio::router::easy_parser_router::impl::path_to_tuple_producer_t< Target_Type, Subitems_Tuple >:

## Static Public Member Functions
template<typename Extra_Data , typename Handler >
static RESTINIO_NODISCARD auto | invoke_handler (const generic_request_handle_t< Extra_Data > &req, Handler &&handler, typename base_type_t::result_type &type)

## Private Types
using | base_type_t = ep::impl::produce_t< Target_Type, Subitems_Tuple >

## Detailed Description

template<typename Target_Type, typename Subitems_Tuple>
class restinio::router::easy_parser_router::impl::path_to_tuple_producer_t< Target_Type, Subitems_Tuple >

An implementation of a producer for path_to_tuple case.

This implementation produces a tuple and provides a way to call a request-handler with passing that tuple as a single argument.

Since
  v.0.6.6

Definition at line 542 of file easy_parser_router.hpp.

## Member Typedef Documentation

## ◆ base_type_t

template<typename Target_Type , typename Subitems_Tuple >

using restinio::router::easy_parser_router::impl::path_to_tuple_producer_t< Target_Type, Subitems_Tuple >::base_type_t = ep::impl::produce_t< Target_Type, Subitems_Tuple >
| private

Definition at line 545 of file easy_parser_router.hpp.

## Member Function Documentation

## ◆ invoke_handler()

template<typename Target_Type , typename Subitems_Tuple >
template<typename Extra_Data , typename Handler >

static RESTINIO_NODISCARD auto restinio::router::easy_parser_router::impl::path_to_tuple_producer_t< Target_Type, Subitems_Tuple >::invoke_handler | ( | const generic_request_handle_t< Extra_Data > & | req,
|  | Handler && | handler,
|  | typename base_type_t::result_type & | type
| ) |  |
| inline static

Definition at line 553 of file easy_parser_router.hpp.

The documentation for this class was generated from the following file:

- restinio/router/easy_parser_router.hpp